import 'dart:async';
import 'brady_flutter_plugin_platform_interface.dart';

class BradyFlutterPlugin {

  Future<String?> getPlatformVersion() {
    return BradyFlutterPluginPlatform.instance.getPlatformVersion();
  }

  void startPrinterDiscovery() {
    BradyFlutterPluginPlatform.instance.startPrinterDiscovery();
  }
  
  Future<List<String?>> getPrinters() async {
    return await BradyFlutterPluginPlatform.instance.getPrinters();
  }
  
  Future<bool?> connectToPrinter(String? printer) async {
     return await BradyFlutterPluginPlatform.instance.connectToPrinter(printer);
  }

  Future<String?> getPrinterDetails() async {
    return await BradyFlutterPluginPlatform.instance.getPrinterDetails();
  }

  Future<String?> getLastConnectedPrinterName() async {
    return await BradyFlutterPluginPlatform.instance.getLastConnectedPrinterName();
  }

  void setTemplate(String dataString) {
    return BradyFlutterPluginPlatform.instance.setTemplate(dataString);
  }

  void setPlaceholderValue(String placeholder, String value) {
    return BradyFlutterPluginPlatform.instance.setPlaceholderValue(placeholder, value);
  }

  Future<bool?> print() async {
    return await BradyFlutterPluginPlatform.instance.print();
  }

  Future<bool?> feed() async {
    return await BradyFlutterPluginPlatform.instance.feed();
  }

  Future<bool?> cut() async {
    return await BradyFlutterPluginPlatform.instance.cut();
  }

  Future<bool?> disconnect() async {
    return await BradyFlutterPluginPlatform.instance.disconnect();
  }
}
